<?php
	class LoginSystem
	{
		private $config;
		private $view;
		public function __construct()
		{
			$this->config = parse_ini_file('config/config.ls', true);
		}
		
		public function render()
		{
			$render = "Error";
			
			# content
			if( !empty($_GET['module']) )
			{
				if( file_exists('module/'.$_GET['module'].'.php') )
				{
					include('module/'.$_GET['module'].'.php');
					$content = new $_GET['module']();
				}
				else
				{
					include('module/index.php');
					$content = new index();
				}
			}
			else
			{
				include('module/index.php');
				$content = new index();
			}
			
			include("view/index.php");
		}
		
		
		public static function write_log( $event, $site, $login, $ip, $port, $date, $time="")
		{
			$fp = fopen('logs/'.$event.'.ls',"a");
			fwrite($fp, $login.'-'.$site.'= '.$ip.':'.$port.' '.$date.' '.$time."\n");
			fclose($fp);
		}
		
		

	}
	
?>